### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ExtendedCoxRossRubinstein Class Reference
Lattice methods

Cox-Ross-Rubinstein (multiplicative) equal jumps binomial tree. More...

`#include <ql/experimental/lattices/extendedbinomialtree.hpp>`

Inheritance diagram for ExtendedCoxRossRubinstein:
[legend]

List of all members.

## Public Member Functions

| ExtendedCoxRossRubinstein (const boost::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)

## Protected Member Functions

Real | dxStep (Time stepTime) const
Real | probUp (Time stepTime) const

## Detailed Description

Cox-Ross-Rubinstein (multiplicative) equal jumps binomial tree.